Bug 43791 - [4.6 Regression] kernel/rtmutex.c:1138:1: internal compiler error: in cgraph_decide_inlining_of_small_functions, at ipa-inline.c:1009
[4.6 Regression] kernel/rtmutex.c:1138:1: internal compiler error: in cgraph_...
Status: RESOLVED FIXED
Product: gcc
Classification: Unclassified
Component: tree-optimization
4.6.0
: P3 major
: 4.6.0
Assigned To: Jan Hubicka
: ice-on-valid-code
: 43840 43997 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-19 06:41 UTC by Justin P. Mattock
Modified: 2010-07-23 13:26 UTC (History)
5 users (show)

See Also:
Host:
Target:
Build: x86_64
Known to work:
Known to fail:
Last reconfirmed: 2010-05-06 13:11:51


Attachments
kernel .config (69.08 KB, application/octet-stream)
2010-04-19 07:13 UTC, Justin P. Mattock
Details
rtmutex.i (623.59 KB, text/plain)
2010-04-19 14:26 UTC, Justin P. Mattock
Details
early debugging via ohci1394_dma (48.24 KB, application/octet-stream)
2010-04-20 00:17 UTC, Justin P. Mattock
Details
dmesg with 4.6.0 and latest kernel(good boot). (60.20 KB, application/octet-stream)
2010-04-26 02:41 UTC, Justin P. Mattock
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Justin P. Mattock 2010-04-19 06:41:30 UTC
building the latest kernel(2.6.34-rc4-00082-g250541f)
I'm hitting this:

kernel/rtmutex.c: At top level:
kernel/rtmutex.c:1138:1: internal compiler error: in
cgraph_decide_inlining_of_small_functions, at ipa-inline.c:1009
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://gcc.gnu.org/bugs.html> for instructions.
make[1]: *** [kernel/rtmutex.o] Error 1
make: *** [kernel] Error 2

as for gcc etc.. the only patch that I applied was the pure64 patch from:
http://patches.cross-lfs.org/dev/gcc-4.4.2-pure64-1.patch
Comment 1 Justin P. Mattock 2010-04-19 07:13:51 UTC
Created attachment 20414 [details]
kernel .config

here is my .config I used to hit this error,
and FWIW here is my compile flags that I used for gcc:

CFLAGS="-m64 -mtune=core2 -march=core2 -O2 -pipe -fomit-frame-pointer" CXXFLAGS="${CFLAGS}" MAKEOPTS="{-j3}" ../gcc*/configure --prefix=/usr --libexecdir=/usr/lib --enable-shared --enable-threads=posix --enable-__cxa_atexit --enable-c99 --enable-long-long --enable-clocale=gnu --enable-languages=c,c++ --disable-multilib --disable-libstdcxx-pch

is there a git repository for gcc?
right now I'm seeing: http://git.infradead.org/gcc.git
if this is then I can try a bisect on with gcc(but then again might be
tricky with the need for a pure64 patch).
Comment 2 Jie Zhang 2010-04-19 07:24:09 UTC
Justin,

You can add V=1 when make linux kernel. Then you can find the command line used to compile rtmutex.c. Change -c in the command line to -E and return the command line. Rename the resulted rtmutex.o to rtmutex.i and attach that file here.
Comment 3 Justin P. Mattock 2010-04-19 14:26:28 UTC
Subject: Re:  kernel/rtmutex.c:1138:1: internal compiler 
	error: in cgraph_decide_inlining_of_small_functions, at ipa-inline.c:1009

On Mon, Apr 19, 2010 at 12:24 AM, jiez at gcc dot gnu dot org
<gcc-bugzilla@gcc.gnu.org> wrote:
>
>
> ------- Comment #2 from jiez at gcc dot gnu dot org  2010-04-19 07:24 -------
> Justin,
>
> You can add V=1 when make linux kernel. Then you can find the command line used
> to compile rtmutex.c. Change -c in the command line to -E and return the
> command line. Rename the resulted rtmutex.o to rtmutex.i and attach that file
> here.
>

cool..(thanks for the mini tutorial)
I never knew that's how you make a preprocess
file, attached is rtmutex.i as you requested.


Comment 4 Justin P. Mattock 2010-04-19 14:26:28 UTC
Created attachment 20419 [details]
rtmutex.i
Comment 5 Justin P. Mattock 2010-04-19 19:43:37 UTC
o.k. I got the kernel to compile with:
OPTIMIZE_INLINING [=y]

Comment 6 H.J. Lu 2010-04-19 19:51:40 UTC
(In reply to comment #4)
> Created an attachment (id=20419) [edit]
> 

Please show the output of

# head kernel/.rtmutex.o.cmd
Comment 7 Justin P. Mattock 2010-04-19 19:55:04 UTC
here you go:

 head kernel/.rtmutex.o.cmd
cmd_kernel/rtmutex.o := gcc -Wp,-MD,kernel/.rtmutex.o.d  -nostdinc -isystem /usr/lib/gcc/x86_64-unknown-linux-gnu/4.6.0/include -I/home/kernel/2.6.35/arch/x86/include -Iinclude  -include include/generated/autoconf.h -D__KERNEL__ -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common -Werror-implicit-function-declaration -Wno-format-security -fno-delete-null-pointer-checks -Os -m64 -march=core2 -mno-red-zone -mcmodel=kernel -funit-at-a-time -maccumulate-outgoing-args -DCONFIG_AS_CFI=1 -DCONFIG_AS_CFI_SIGNAL_FRAME=1 -pipe -Wno-sign-compare -fno-asynchronous-unwind-tables -mno-sse -mno-mmx -mno-sse2 -mno-3dnow -Wframe-larger-than=1024 -fno-stack-protector -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wdeclaration-after-statement -Wno-pointer-sign -fno-strict-overflow -fno-dwarf2-cfi-asm -fconserve-stack   -D"KBUILD_STR(s)=\#s" -D"KBUILD_BASENAME=KBUILD_STR(rtmutex)"  -D"KBUILD_MODNAME=KBUILD_STR(rtmutex)"  -c -o kernel/rtmutex.o kernel/rtmutex.c

deps_kernel/rtmutex.o := \
  kernel/rtmutex.c \
    $(wildcard include/config/debug/rt/mutexes.h) \
  include/linux/spinlock.h \
    $(wildcard include/config/smp.h) \
    $(wildcard include/config/debug/spinlock.h) \
    $(wildcard include/config/generic/lockbreak.h) \
    $(wildcard include/config/preempt.h) \
Comment 8 Falk Hueffner 2010-04-19 20:25:58 UTC
Confirmed with current 4.6 on x86-64, here is a testcase:

int owner();
int clear();

static void fixup() {
  clear();
}

inline __attribute__ ((always_inline))
void slowtrylock(void) {
    if (owner())
	fixup();
}

void fasttrylock(void (*slowfn)()) {
    slowfn();
}

void trylock(void) {
    fasttrylock(slowtrylock);
}
Comment 9 Justin P. Mattock 2010-04-19 20:48:23 UTC
Subject: Re:  kernel/rtmutex.c:1138:1: internal
 compiler error: in cgraph_decide_inlining_of_small_functions, at ipa-inline.c:1009

On 04/19/2010 01:25 PM, falk at debian dot org wrote:
> ------- Comment #8 from falk at debian dot org  2010-04-19 20:25 -------
> Confirmed with current 4.6 on x86-64, here is a testcase:
>
> int owner();
> int clear();
>
> static void fixup() {
>    clear();
> }
>
> inline __attribute__ ((always_inline))
> void slowtrylock(void) {
>      if (owner())
>          fixup();
> }
>
> void fasttrylock(void (*slowfn)()) {
>      slowfn();
> }
>
> void trylock(void) {
>      fasttrylock(slowtrylock);
> }
>
>

adding:
OPTIMIZE_INLINING [=y]
gets me to compile, but doesn't
solve the issue(just temporary).

Also I'm getting lots of warning messages:
warning: variable 'pao_tmp__' set but not used

Justin P. Mattock
Comment 10 H.J. Lu 2010-04-19 21:07:39 UTC
It may be caused revision 158278:

http://gcc.gnu.org/ml/gcc-cvs/2010-04/msg00382.html
Comment 11 Justin P. Mattock 2010-04-19 22:40:10 UTC
Subject: Re:  kernel/rtmutex.c:1138:1: internal
 compiler error: in cgraph_decide_inlining_of_small_functions, at ipa-inline.c:1009

On 04/19/2010 02:07 PM, hjl dot tools at gmail dot com wrote:
> ------- Comment #10 from hjl dot tools at gmail dot com  2010-04-19 21:07 -------
> It may be caused revision 158278:
>
> http://gcc.gnu.org/ml/gcc-cvs/2010-04/msg00382.html
>
>

ahh.. looks like it might be the mechanism..
so it's there and present, but is not yet
activated(so I can safety ignore).

Justin P. Mattock
Comment 12 Justin P. Mattock 2010-04-20 00:16:10 UTC
below is after compiling the kernel with 4.6.0 and running it
I can verify through using another machine(both are iMac9,1's) that the crash only occurs with the machine with gcc 4.6.0
(I'll attach just in case)


kernel buffer at phys 173f9b0 len 262144
<5>[    0.000000] Linux version 2.6.34-rc4-00194-g76e506a (justin@Linux-1) (gcc version 4.6.0 20100416 (experimental) (GCC) ) #2 SMP Mon Apr 19 16:04:55 PDT 2010
<6>[    0.000000] Command line: BOOT_IMAGE=SELinux-GCC_0 ro root=803 ro debug audit=1 selinux=1 enforcing=0 nf_conntrack.acct=1 ohci1394_dma=early earlyprintk=vga debug
<6>[    0.000000] BIOS-provided physical RAM map:
<6>[    0.000000]  BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
<6>[    0.000000]  BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
<6>[    0.000000]  BIOS-e820: 00000000000e0000 - 0000000000100000 (reserved)
<6>[    0.000000]  BIOS-e820: 0000000000100000 - 0000000080000000 (usable)
<6>[    0.000000]  BIOS-e820: 0000000080000000 - 0000000090000000 (reserved)
<6>[    0.000000]  BIOS-e820: 0000000090000000 - 00000000be825000 (usable)
<6>[    0.000000]  BIOS-e820: 00000000be825000 - 00000000be829000 (ACPI NVS)
<6>[    0.000000]  BIOS-e820: 00000000be829000 - 00000000be841000 (ACPI data)
<6>[    0.000000]  BIOS-e820: 00000000be841000 - 00000000bea42000 (ACPI NVS)
<6>[    0.000000]  BIOS-e820: 00000000bea42000 - 00000000bfec6000 (ACPI data)
<6>[    0.000000]  BIOS-e820: 00000000bfec6000 - 00000000bfec8000 (ACPI NVS)
<6>[    0.000000]  BIOS-e820: 00000000bfec8000 - 00000000bfec9000 (ACPI data)
<6>[    0.000000]  BIOS-e820: 00000000bfec9000 - 00000000bfecb000 (ACPI NVS)
<6>[    0.000000]  BIOS-e820: 00000000bfecb000 - 00000000bfecd000 (ACPI data)
<6>[    0.000000]  BIOS-e820: 00000000bfecd000 - 00000000bfedf000 (ACPI NVS)
<6>[    0.000000]  BIOS-e820: 00000000bfedf000 - 00000000bfef9000 (ACPI data)
<6>[    0.000000]  BIOS-e820: 00000000bfef9000 - 00000000bfeff000 (reserved)
<6>[    0.000000]  BIOS-e820: 00000000bfeff000 - 00000000bff00000 (ACPI data)
<6>[    0.000000]  BIOS-e820: 00000000d3500000 - 00000000d3501000 (reserved)
<6>[    0.000000]  BIOS-e820: 00000000f0000000 - 00000000f4000000 (reserved)
<6>[    0.000000]  BIOS-e820: 00000000fec00000 - 00000000fec01000 (reserved)
<6>[    0.000000]  BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
<6>[    0.000000]  BIOS-e820: 00000000ffc00000 - 0000000100000000 (reserved)
<6>[    0.000000]  BIOS-e820: 0000000100000000 - 0000000140000000 (usable)
<6>[    0.000000] NX (Execute Disable) protection: active
<6>[    0.000000] DMI 2.4 present.
<7>[    0.000000] e820 update range: 0000000000000000 - 0000000000001000 (usable) ==> (reserved)
<7>[    0.000000] e820 remove range: 00000000000a0000 - 0000000000100000 (usable)
<6>[    0.000000] No AGP bridge found
<6>[    0.000000] last_pfn = 0x140000 max_arch_pfn = 0x400000000
<7>[    0.000000] MTRR default type: uncachable
<7>[    0.000000] MTRR fixed ranges enabled:
<7>[    0.000000]   00000-9FFFF write-back
<7>[    0.000000]   A0000-FFFFF uncachable
<7>[    0.000000] MTRR variable ranges enabled:
<7>[    0.000000]   0 disabled
<7>[    0.000000]   1 base 000000000 mask F80000000 write-back
<7>[    0.000000]   2 base 080000000 mask FC0000000 write-back
<7>[    0.000000]   3 base 100000000 mask FC0000000 write-back
<7>[    0.000000]   4 base 0BFF00000 mask FFFF00000 uncachable
<7>[    0.000000]   5 disabled
<7>[    0.000000]   6 disabled
<7>[    0.000000]   7 disabled
<6>[    0.000000] x86 PAT enabled: cpu 0, old 0x7040600070406, new 0x7010600070106
<7>[    0.000000] e820 update range: 00000000bff00000 - 0000000100000000 (usable) ==> (reserved)
<6>[    0.000000] last_pfn = 0xbe825 max_arch_pfn = 0x400000000
<7>[    0.000000] initial memory mapped : 0 - 20000000
<6>[    0.000000] init_memory_mapping: 0000000000000000-00000000be825000
<7>[    0.000000]  0000000000 - 00be800000 page 2M
<7>[    0.000000]  00be800000 - 00be825000 page 4k
<7>[    0.000000] kernel direct mapping tables up to be825000 @ 8000-d000
<6>[    0.000000] init_memory_mapping: 0000000100000000-0000000140000000
<7>[    0.000000]  0100000000 - 0140000000 page 2M
<7>[    0.000000] kernel direct mapping tables up to 140000000 @ b000-11000
<6>[    0.000000] init_ohci1394_dma: initializing OHCI-1394 at 05:00.0
<6>[    0.000000] init_ohci1394_dma: finished initializing OHCI DMA
<4>[    0.000000] ACPI: RSDP 00000000000fe020 00024 (v02 APPLE )
<4>[    0.000000] ACPI: XSDT 00000000bfeee1c0 00074 (v01 APPLE   Apple00 0000008D      01000013)
<4>[    0.000000] ACPI: FACP 00000000bfeec000 000F4 (v03 APPLE   Apple00 0000008D Loki 0000005F)
<4>[    0.000000] ACPI: DSDT 00000000bfee0000 0557B (v01 APPLE      iMac 00090001 INTL 20061109)
<4>[    0.000000] ACPI: FACS 00000000bfecd000 00040
<4>[    0.000000] ACPI: HPET 00000000bfeeb000 00038 (v01 APPLE   Apple00 00000001 Loki 0000005F)
<4>[    0.000000] ACPI: APIC 00000000bfeea000 00068 (v01 APPLE   Apple00 00000001 Loki 0000005F)
<4>[    0.000000] ACPI: MCFG 00000000bfee9000 0003C (v01 APPLE   Apple00 00000001 Loki 0000005F)
<4>[    0.000000] ACPI: ASF! 00000000bfee8000 000A5 (v32 APPLE   Apple00 00000001 Loki 0000005F)
<4>[    0.000000] ACPI: SBST 00000000bfee7000 00030 (v01 APPLE   Apple00 00000001 Loki 0000005F)
<4>[    0.000000] ACPI: ECDT 00000000bfee6000 00053 (v01 APPLE   Apple00 00000001 Loki 0000005F)
<4>[    0.000000] ACPI: SSDT 00000000bfec8000 004DC (v01  APPLE    CpuPm 00003000 INTL 20061109)
<4>[    0.000000] ACPI: SSDT 00000000bfedf000 000A5 (v01 SataRe  SataPri 00001000 INTL 20061109)
<4>[    0.000000] ACPI: SSDT 00000000bfecc000 0009F (v01 SataRe  SataSec 00001000 INTL 20061109)
<7>[    0.000000] ACPI: Local APIC address 0xfee00000
<7>[    0.000000]  [ffffea0000000000-ffffea00045fffff] PMD -> [ffff880002000000-ffff8800055fffff] on node 0
<4>[    0.000000] Zone PFN ranges:
<4>[    0.000000]   DMA      0x00000001 -> 0x00001000
<4>[    0.000000]   DMA32    0x00001000 -> 0x00100000
<4>[    0.000000]   Normal   0x00100000 -> 0x00140000
<4>[    0.000000] Movable zone start PFN for each node
<4>[    0.000000] early_node_map[4] active PFN ranges
<4>[    0.000000]     0: 0x00000001 -> 0x0000009f
<4>[    0.000000]     0: 0x00000100 -> 0x00080000
<4>[    0.000000]     0: 0x00090000 -> 0x000be825
<4>[    0.000000]     0: 0x00100000 -> 0x00140000
<7>[    0.000000] On node 0 totalpages: 976835
<7>[    0.000000]   DMA zone: 56 pages used for memmap
<7>[    0.000000]   DMA zone: 0 pages reserved
<7>[    0.000000]   DMA zone: 3942 pages, LIFO batch:0
<7>[    0.000000]   DMA32 zone: 14280 pages used for memmap
<7>[    0.000000]   DMA32 zone: 696413 pages, LIFO batch:31
<7>[    0.000000]   Normal zone: 3584 pages used for memmap
<7>[    0.000000]   Normal zone: 258560 pages, LIFO batch:31
<6>[    0.000000] ACPI: PM-Timer IO Port: 0x408
<7>[    0.000000] ACPI: Local APIC address 0xfee00000
<6>[    0.000000] ACPI: LAPIC (acpi_id[0x00] lapic_id[0x00] enabled)
<6>[    0.000000] ACPI: LAPIC (acpi_id[0x01] lapic_id[0x01] enabled)
<6>[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x00] high edge lint[0x1])
<6>[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x01] high edge lint[0x1])
<6>[    0.000000] ACPI: IOAPIC (id[0x01] address[0xfec00000] gsi_base[0])
<6>[    0.000000] IOAPIC[0]: apic_id 1, version 17, address 0xfec00000, GSI 0-23
<6>[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
<6>[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
<7>[    0.000000] ACPI: IRQ0 used by override.
<7>[    0.000000] ACPI: IRQ2 used by override.
<7>[    0.000000] ACPI: IRQ9 used by override.
<6>[    0.000000] Using ACPI (MADT) for SMP configuration information
<6>[    0.000000] ACPI: HPET id: 0x10de8201 base: 0xfed00000
<6>[    0.000000] SMP: Allowing 2 CPUs, 0 hotplug CPUs
<7>[    0.000000] nr_irqs_gsi: 24
<7>[    0.000000] early_res array is doubled to 64 at [7000 - 77ff]
<6>[    0.000000] PM: Registered nosave memory: 000000000009f000 - 00000000000a0000
<6>[    0.000000] PM: Registered nosave memory: 00000000000a0000 - 00000000000e0000
<6>[    0.000000] PM: Registered nosave memory: 00000000000e0000 - 0000000000100000
<6>[    0.000000] PM: Registered nosave memory: 0000000080000000 - 0000000090000000
<6>[    0.000000] PM: Registered nosave memory: 00000000be825000 - 00000000be829000
<6>[    0.000000] PM: Registered nosave memory: 00000000be829000 - 00000000be841000
<6>[    0.000000] PM: Registered nosave memory: 00000000be841000 - 00000000bea42000
<6>[    0.000000] PM: Registered nosave memory: 00000000bea42000 - 00000000bfec6000
<6>[    0.000000] PM: Registered nosave memory: 00000000bfec6000 - 00000000bfec8000
<6>[    0.000000] PM: Registered nosave memory: 00000000bfec8000 - 00000000bfec9000
<6>[    0.000000] PM: Registered nosave memory: 00000000bfec9000 - 00000000bfecb000
<6>[    0.000000] PM: Registered nosave memory: 00000000bfecb000 - 00000000bfecd000
<6>[    0.000000] PM: Registered nosave memory: 00000000bfecd000 - 00000000bfedf000
<6>[    0.000000] PM: Registered nosave memory: 00000000bfedf000 - 00000000bfef9000
<6>[    0.000000] PM: Registered nosave memory: 00000000bfef9000 - 00000000bfeff000
<6>[    0.000000] PM: Registered nosave memory: 00000000bfeff000 - 00000000bff00000
<6>[    0.000000] PM: Registered nosave memory: 00000000bff00000 - 00000000d3500000
<6>[    0.000000] PM: Registered nosave memory: 00000000d3500000 - 00000000d3501000
<6>[    0.000000] PM: Registered nosave memory: 00000000d3501000 - 00000000f0000000
<6>[    0.000000] PM: Registered nosave memory: 00000000f0000000 - 00000000f4000000
<6>[    0.000000] PM: Registered nosave memory: 00000000f4000000 - 00000000fec00000
<6>[    0.000000] PM: Registered nosave memory: 00000000fec00000 - 00000000fec01000
<6>[    0.000000] PM: Registered nosave memory: 00000000fec01000 - 00000000fee00000
<6>[    0.000000] PM: Registered nosave memory: 00000000fee00000 - 00000000fee01000
<6>[    0.000000] PM: Registered nosave memory: 00000000fee01000 - 00000000ffc00000
<6>[    0.000000] PM: Registered nosave memory: 00000000ffc00000 - 0000000100000000
<6>[    0.000000] Allocating PCI resources starting at d3501000 (gap: d3501000:1caff000)
<6>[    0.000000] Booting paravirtualized kernel on bare hardware
<6>[    0.000000] setup_percpu: NR_CPUS:2 nr_cpumask_bits:2 nr_cpu_ids:2 nr_node_ids:1
<6>[    0.000000] PERCPU: Embedded 28 pages/cpu @ffff880001a00000 s84456 r8192 d22040 u1048576
<7>[    0.000000] early_res array is doubled to 128 at [c000 - cfff]
<6>[    0.000000] pcpu-alloc: s84456 r8192 d22040 u1048576 alloc=1*2097152
<6>[    0.000000] pcpu-alloc: [0] 0 1 
<4>[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 958915
<5>[    0.000000] Kernel command line: BOOT_IMAGE=SELinux-GCC_0 ro root=803 ro debug audit=1 selinux=1 enforcing=0 nf_conntrack.acct=1 ohci1394_dma=early earlyprintk=vga debug
<6>[    0.000000] audit: enabled (after initialization)
<6>[    0.000000] PID hash table entries: 4096 (order: 3, 32768 bytes)
<6>[    0.000000] Dentry cache hash table entries: 524288 (order: 10, 4194304 bytes)
<6>[    0.000000] Inode-cache hash table entries: 262144 (order: 9, 2097152 bytes)
<6>[    0.000000] xsave/xrstor: enabled xstate_bv 0x3, cntxt size 0x240
<6>[    0.000000] Checking aperture...
<6>[    0.000000] No AGP bridge found
<6>[    0.000000] Subtract (66 early reservations)
<6>[    0.000000]   #1 [0001000000 - 00017f0740]   TEXT DATA BSS
<6>[    0.000000]   #2 [000009fc00 - 0000100000]   BIOS reserved
<6>[    0.000000]   #3 [00017f1000 - 00017f11fd]             BRK
<6>[    0.000000]   #4 [0000001000 - 0000003000]      TRAMPOLINE
<6>[    0.000000]   #5 [0000003000 - 0000007000]     ACPI WAKEUP
<6>[    0.000000]   #6 [0000008000 - 000000b000]         PGTABLE
<6>[    0.000000]   #7 [000000b000 - 000000c000]         PGTABLE
<6>[    0.000000]   #8 [00017f1200 - 00017f2200]         BOOTMEM
<6>[    0.000000]   #9 [00017f0740 - 00017f0a10]         BOOTMEM
<6>[    0.000000]   #10 [0001ff3000 - 0001ff4000]         BOOTMEM
<6>[    0.000000]   #11 [0001ff4000 - 0001ff5000]         BOOTMEM
<6>[    0.000000]   #12 [0002000000 - 0005600000]        MEMMAP 0
<6>[    0.000000]   #13 [00017f0a40 - 00017f0cc0]         BOOTMEM
<6>[    0.000000]   #14 [00017f2200 - 000181a200]         BOOTMEM
<6>[    0.000000]   #15 [000181a200 - 0001824200]         BOOTMEM
<6>[    0.000000]   #16 [0001825000 - 0001826000]         BOOTMEM
<6>[    0.000000]   #17 [00017f0cc0 - 00017f0d01]         BOOTMEM
<6>[    0.000000]   #18 [00017f0d40 - 00017f0d83]         BOOTMEM
<6>[    0.000000]   #19 [0001824200 - 0001824778]         BOOTMEM
<6>[    0.000000]   #20 [00017f0dc0 - 00017f0e28]         BOOTMEM
<6>[    0.000000]   #21 [00017f0e40 - 00017f0ea8]         BOOTMEM
<6>[    0.000000]   #22 [00017f0ec0 - 00017f0f28]         BOOTMEM
<6>[    0.000000]   #23 [00017f0f40 - 00017f0fa8]         BOOTMEM
<6>[    0.000000]   #24 [0001824780 - 00018247e8]         BOOTMEM
<6>[    0.000000]   #25 [0001824800 - 0001824868]         BOOTMEM
<6>[    0.000000]   #26 [0001824880 - 00018248e8]         BOOTMEM
<6>[    0.000000]   #27 [0001824900 - 0001824968]         BOOTMEM
<6>[    0.000000]   #28 [0001824980 - 00018249e8]         BOOTMEM
<6>[    0.000000]   #29 [0001824a00 - 0001824a68]         BOOTMEM
<6>[    0.000000]   #30 [0001824a80 - 0001824ae8]         BOOTMEM
<6>[    0.000000]   #31 [0001824b00 - 0001824b68]         BOOTMEM
<6>[    0.000000]   #32 [0001824b80 - 0001824be8]         BOOTMEM
<6>[    0.000000]   #33 [0001824c00 - 0001824c68]         BOOTMEM
<6>[    0.000000]   #34 [0001824c80 - 0001824ce8]         BOOTMEM
<6>[    0.000000]   #35 [0001824d00 - 0001824d68]         BOOTMEM
<6>[    0.000000]   #36 [0001824d80 - 0001824de8]         BOOTMEM
<6>[    0.000000]   #37 [0001824e00 - 0001824e68]         BOOTMEM
<6>[    0.000000]   #38 [0001824e80 - 0001824ee8]         BOOTMEM
<6>[    0.000000]   #39 [0001824f00 - 0001824f68]         BOOTMEM
<6>[    0.000000]   #40 [0001824f80 - 0001824fe8]         BOOTMEM
<6>[    0.000000]   #41 [0001826000 - 0001826068]         BOOTMEM
<6>[    0.000000]   #42 [0001826080 - 00018260e8]         BOOTMEM
<6>[    0.000000]   #43 [0001826100 - 0001826168]         BOOTMEM
<6>[    0.000000]   #44 [00017f0fc0 - 00017f0fe0]         BOOTMEM
<6>[    0.000000]   #45 [0001826180 - 00018261a0]         BOOTMEM
<6>[    0.000000]   #46 [00018261c0 - 00018261e0]         BOOTMEM
<6>[    0.000000]   #47 [0001826200 - 0001826289]         BOOTMEM
<6>[    0.000000]   #48 [00018262c0 - 0001826349]         BOOTMEM
<6>[    0.000000]   #49 [0001a00000 - 0001a1c000]         BOOTMEM
<6>[    0.000000]   #50 [0001b00000 - 0001b1c000]         BOOTMEM
<6>[    0.000000]   #51 [0001828380 - 0001828388]         BOOTMEM
<6>[    0.000000]   #52 [00018283c0 - 00018283c8]         BOOTMEM
<6>[    0.000000]   #53 [0001828400 - 0001828408]         BOOTMEM
<6>[    0.000000]   #54 [0001828440 - 0001828450]         BOOTMEM
<6>[    0.000000]   #55 [0001828480 - 00018285c0]         BOOTMEM
<6>[    0.000000]   #56 [00018285c0 - 0001828620]         BOOTMEM
<6>[    0.000000]   #57 [0001828640 - 00018286a0]         BOOTMEM
<6>[    0.000000]   #58 [00018286c0 - 00018306c0]         BOOTMEM
<6>[    0.000000]   #59 [0001b1c000 - 0001f1c000]         BOOTMEM
<6>[    0.000000]   #60 [0005600000 - 0005800000]         BOOTMEM
<6>[    0.000000]   #61 [0001826380 - 00018265c0]         BOOTMEM
<6>[    0.000000]   #62 [0005800000 - 0009800000]         BOOTMEM
<6>[    0.000000]   #63 [00018306c0 - 00018506c0]         BOOTMEM
<6>[    0.000000]   #64 [00018506c0 - 00018906c0]         BOOTMEM
<6>[    0.000000]   #65 [000000d000 - 0000015000]         BOOTMEM
<6>[    0.000000] Memory: 3771292k/5242880k available (3992k kernel code, 1335540k absent, 136048k reserved, 2878k data, 456k init)
<6>[    0.000000] SLUB: Genslabs=13, HWalign=64, Order=0-3, MinObjects=0, CPUs=2, Nodes=1
<6>[    0.000000] Hierarchical RCU implementation.
<6>[    0.000000] NR_IRQS:320
<6>[    0.000000] Extended CMOS year: 2000
<7>[    0.000000] spurious 8259A interrupt: IRQ7.
<4>[    0.000000] Console: colour dummy device 80x25
<6>[    0.000000] console [tty0] enabled
<7>[    0.000000] hpet clockevent registered
<4>[    0.000000] Fast TSC calibration using PIT
<4>[    0.000000] Detected 2653.384 MHz processor.
<6>[    0.001006] Calibrating delay loop (skipped), value calculated using timer frequency.. 5306.76 BogoMIPS (lpj=2653384)
<6>[    0.001078] Security Framework initialized
<6>[    0.001086] SELinux:  Initializing.
<7>[    0.001117] SELinux:  Starting in permissive mode
<4>[    0.001141] Mount-cache hash table entries: 256
<6>[    0.001702] CPU: Physical Processor ID: 0
<6>[    0.001708] CPU: Processor Core ID: 0
<6>[    0.001713] mce: CPU supports 6 MCE banks
<6>[    0.001726] CPU0: Thermal monitoring enabled (TM2)
<6>[    0.001733] using mwait in idle threads.
<6>[    0.001737] Performance Events: Core2 events, Intel PMU driver.
<6>[    0.001748] ... version:                2
<6>[    0.001752] ... bit width:              40
<6>[    0.001756] ... generic registers:      2
<6>[    0.001760] ... value mask:             000000ffffffffff
<6>[    0.001765] ... max period:             000000007fffffff
<6>[    0.001770] ... fixed-purpose events:   3
<6>[    0.001774] ... event mask:             0000000700000003
<6>[    0.002470] ACPI: Core revision 20100121
<6>[    0.044150] Setting APIC routing to flat
<6>[    0.044549] ..TIMER: vector=0x30 apic1=0 pin1=2 apic2=-1 pin2=-1
<6>[    0.054687] CPU0: Intel(R) Core(TM)2 Duo CPU     E8135  @ 2.66GHz stepping 0a
<6>[    0.054999] Booting Node   0, Processors  #1 Ok.
<6>[    0.126021] Brought up 2 CPUs
<6>[    0.126028] Total of 2 processors activated (10613.07 BogoMIPS).
<6>[    0.128843] Apple iMac9,1 series board detected. Selecting PCI-method for reboots.
<6>[    0.129168] NET: Registered protocol family 16
<6>[    0.130107] ACPI: bus type pci registered
<6>[    0.131227] PCI: Using configuration type 1 for base access
<4>[    0.147113] bio: create slab <bio-0> at 0
<6>[    0.151841] ACPI: EC: EC description table is found, configuring boot EC
<5>[    0.166617] ACPI: BIOS _OSI(Linux) query ignored
<4>[    0.172494] ACPI: SSDT 00000000bfecac18 0027A (v01  APPLE  Cpu0Ist 00003000 INTL 20061109)
<4>[    0.174795] ACPI: SSDT 00000000bfeca918 0028F (v01  APPLE  Cpu0Cst 00003001 INTL 20061109)
<4>[    0.178434] ACPI: SSDT 00000000bfecaf18 000C8 (v01  APPLE  Cpu1Ist 00003000 INTL 20061109)
<4>[    0.180479] ACPI: SSDT 00000000bfec9f18 00085 (v01  APPLE  Cpu1Cst 00003000 INTL 20061109)
<6>[    0.181721] ACPI: Interpreter enabled
<6>[    0.181729] ACPI: (supports S0 S3 S4 S5)
<6>[    0.181870] ACPI: Using IOAPIC for interrupt routing
<6>[    0.242270] ACPI: EC: GPE = 0x3f, I/O: command/status = 0x66, data = 0x62
<6>[    0.243965] ACPI: No dock devices found.
<6>[    0.243973] PCI: Using host bridge windows from ACPI; if necessary, use "pci=nocrs" and report a bug
<6>[    0.245542] ACPI: PCI Root Bridge [PCI0] (0000:00)
<6>[    0.246648] pci_root PNP0A08:00: host bridge window [io  0x0000-0x0cf7]
<6>[    0.246657] pci_root PNP0A08:00: host bridge window [io  0x0d00-0xffff]
<6>[    0.246665] pci_root PNP0A08:00: host bridge window [mem 0x000a0000-0x000bffff]
<6>[    0.246674] pci_root PNP0A08:00: host bridge window [mem 0x000c0000-0x000c3fff]
<6>[    0.246683] pci_root PNP0A08:00: host bridge window [mem 0x000c4000-0x000c7fff]
<6>[    0.246691] pci_root PNP0A08:00: host bridge window [mem 0x000c8000-0x000cbfff]
<6>[    0.246700] pci_root PNP0A08:00: host bridge window [mem 0x000cc000-0x000cffff]
<6>[    0.246709] pci_root PNP0A08:00: host bridge window [mem 0x000d0000-0x000d3fff]
<6>[    0.246718] pci_root PNP0A08:00: host bridge window [mem 0x000d4000-0x000d7fff]
<6>[    0.246726] pci_root PNP0A08:00: host bridge window [mem 0x000d8000-0x000dbfff]
<6>[    0.246735] pci_root PNP0A08:00: host bridge window [mem 0x000dc000-0x000dffff]
<6>[    0.246744] pci_root PNP0A08:00: host bridge window [mem 0x000e0000-0x000e3fff]
<6>[    0.246753] pci_root PNP0A08:00: host bridge window [mem 0x000e4000-0x000e7fff]
<6>[    0.246762] pci_root PNP0A08:00: host bridge window [mem 0x000e8000-0x000ebfff]
<6>[    0.246770] pci_root PNP0A08:00: host bridge window [mem 0x000ec000-0x000effff]
<6>[    0.246779] pci_root PNP0A08:00: host bridge window [mem 0x000f0000-0x000fffff]
<6>[    0.246788] pci_root PNP0A08:00: host bridge window [mem 0xc0000000-0xfebfffff]
<7>[    0.247047] pci 0000:00:03.0: reg 10: [io  0x2000-0x20ff]
<7>[    0.247172] pci 0000:00:03.2: reg 10: [io  0x2180-0x21bf]
<7>[    0.247192] pci 0000:00:03.2: reg 20: [io  0x2140-0x217f]
<7>[    0.247201] pci 0000:00:03.2: reg 24: [io  0x2100-0x213f]
<7>[    0.247230] pci 0000:00:03.2: PME# supported from D3hot D3cold
<7>[    0.247240] pci 0000:00:03.2: PME# disabled
<7>[    0.247435] pci 0000:00:03.5: reg 10: [mem 0xd3500000-0xd357ffff]
<7>[    0.247540] pci 0000:00:04.0: reg 10: [mem 0xd3588000-0xd3588fff]
<7>[    0.247581] pci 0000:00:04.0: supports D1 D2
<7>[    0.247586] pci 0000:00:04.0: PME# supported from D0 D1 D2 D3hot D3cold
<7>[    0.247593] pci 0000:00:04.0: PME# disabled
<7>[    0.247645] pci 0000:00:04.1: reg 10: [mem 0xd3589200-0xd35892ff]
<7>[    0.247692] pci 0000:00:04.1: supports D1 D2
<7>[    0.247697] pci 0000:00:04.1: PME# supported from D0 D1 D2 D3hot D3cold
<7>[    0.247705] pci 0000:00:04.1: PME# disabled
<7>[    0.247749] pci 0000:00:06.0: reg 10: [mem 0xd3587000-0xd3587fff]
<7>[    0.247789] pci 0000:00:06.0: supports D1 D2
<7>[    0.247794] pci 0000:00:06.0: PME# supported from D0 D1 D2 D3hot D3cold
<7>[    0.247802] pci 0000:00:06.0: PME# disabled
<7>[    0.247838] pci 0000:00:06.1: reg 10: [mem 0xd3589100-0xd35891ff]
<7>[    0.247885] pci 0000:00:06.1: supports D1 D2
<7>[    0.247890] pci 0000:00:06.1: PME# supported from D0 D1 D2 D3hot D3cold
<7>[    0.247898] pci 0000:00:06.1: PME# disabled
<7>[    0.247942] pci 0000:00:08.0: reg 10: [mem 0xd3580000-0xd3583fff]
<7>[    0.247982] pci 0000:00:08.0: PME# supported from D3hot D3cold
<7>[    0.247989] pci 0000:00:08.0: PME# disabled
<7>[    0.248077] pci 0000:00:0a.0: reg 10: [mem 0xd3586000-0xd3586fff]
<7>[    0.248086] pci 0000:00:0a.0: reg 14: [io  0x21e0-0x21e7]
<7>[    0.248095] pci 0000:00:0a.0: reg 18: [mem 0xd3589000-0xd35890ff]
<7>[    0.248103] pci 0000:00:0a.0: reg 1c: [mem 0xd3589300-0xd358930f]
<7>[    0.248136] pci 0000:00:0a.0: supports D1 D2
<7>[    0.248141] pci 0000:00:0a.0: PME# supported from D0 D1 D2 D3hot D3cold
<7>[    0.248150] pci 0000:00:0a.0: PME# disabled
<7>[    0.248188] pci 0000:00:0b.0: reg 10: [io  0x21d8-0x21df]
<7>[    0.248196] pci 0000:00:0b.0: reg 14: [io  0x21ec-0x21ef]
<7>[    0.248205] pci 0000:00:0b.0: reg 18: [io  0x21d0-0x21d7]
<7>[    0.248213] pci 0000:00:0b.0: reg 1c: [io  0x21e8-0x21eb]
<7>[    0.248221] pci 0000:00:0b.0: reg 20: [io  0x21c0-0x21cf]
<7>[    0.248230] pci 0000:00:0b.0: reg 24: [mem 0xd3584000-0xd3585fff]
<7>[    0.248457] pci 0000:00:0c.0: PME# supported from D0 D1 D2 D3hot D3cold
<7>[    0.248469] pci 0000:00:0c.0: PME# disabled
<7>[    0.248559] pci 0000:00:10.0: PME# supported from D0 D1 D2 D3hot D3cold
<7>[    0.248566] pci 0000:00:10.0: PME# disabled
<7>[    0.248776] pci 0000:00:15.0: PME# supported from D0 D1 D2 D3hot D3cold
<7>[    0.248788] pci 0000:00:15.0: PME# disabled
<7>[    0.249025] pci 0000:00:16.0: PME# supported from D0 D1 D2 D3hot D3cold
<7>[    0.249037] pci 0000:00:16.0: PME# disabled
<6>[    0.249150] pci 0000:00:09.0: PCI bridge to [bus 01-01] (subtractive decode)
<7>[    0.249158] pci 0000:00:09.0:   bridge window [io  0xf000-0x0000] (disabled)
<7>[    0.249167] pci 0000:00:09.0:   bridge window [mem 0xd3400000-0xd34fffff]
<7>[    0.249175] pci 0000:00:09.0:   bridge window [mem 0xfff00000-0x000fffff pref] (disabled)
<7>[    0.249183] pci 0000:00:09.0:   bridge window [io  0x0000-0x0cf7] (subtractive decode)
<7>[    0.249191] pci 0000:00:09.0:   bridge window [io  0x0d00-0xffff] (subtractive decode)
<7>[    0.249200] pci 0000:00:09.0:   bridge window [mem 0x000a0000-0x000bffff] (subtractive decode)
<7>[    0.249208] pci 0000:00:09.0:   bridge window [mem 0x000c0000-0x000c3fff] (subtractive decode)
<7>[    0.249216] pci 0000:00:09.0:   bridge window [mem 0x000c4000-0x000c7fff] (subtractive decode)
<7>[    0.249225] pci 0000:00:09.0:   bridge window [mem 0x000c8000-0x000cbfff] (subtractive decode)
<7>[    0.249233] pci 0000:00:09.0:   bridge window [mem 0x000cc000-0x000cffff] (subtractive decode)
<7>[    0.249242] pci 0000:00:09.0:   bridge window [mem 0x000d0000-0x000d3fff] (subtractive decode)
<7>[    0.249250] pci 0000:00:09.0:   bridge window [mem 0x000d4000-0x000d7fff] (subtractive decode)
<7>[    0.249259] pci 0000:00:09.0:   bridge window [mem 0x000d8000-0x000dbfff] (subtractive decode)
<7>[    0.249268] pci 0000:00:09.0:   bridge window [mem 0x000dc000-0x000dffff] (subtractive decode)
<7>[    0.249276] pci 0000:00:09.0:   bridge window [mem 0x000e0000-0x000e3fff] (subtractive decode)
<7>[    0.249285] pci 0000:00:09.0:   bridge window [mem 0x000e4000-0x000e7fff] (subtractive decode)
<7>[    0.249294] pci 0000:00:09.0:   bridge window [mem 0x000e8000-0x000ebfff] (subtractive decode)
<7>[    0.249302] pci 0000:00:09.0:   bridge window [mem 0x000ec000-0x000effff] (subtractive decode)
<7>[    0.249311] pci 0000:00:09.0:   bridge window [mem 0x000f0000-0x000fffff] (subtractive decode)
<7>[    0.249319] pci 0000:00:09.0:   bridge window [mem 0xc0000000-0xfebfffff] (subtractive decode)
<6>[    0.249474] pci 0000:00:0c.0: PCI bridge to [bus 02-02]
<7>[    0.249492] pci 0000:00:0c.0:   bridge window [io  0xfffffffffffff000-0x0000] (disabled)
<7>[    0.249506] pci 0000:00:0c.0:   bridge window [mem 0xd3300000-0xd33fffff]
<7>[    0.249525] pci 0000:00:0c.0:   bridge window [mem 0xfff00000-0x000fffff pref] (disabled)
<7>[    0.249591] pci 0000:03:00.0: reg 10: [mem 0xd2000000-0xd2ffffff]
<7>[    0.249604] pci 0000:03:00.0: reg 14: [mem 0xc0000000-0xcfffffff 64bit pref]
<7>[    0.249617] pci 0000:03:00.0: reg 1c: [mem 0xd0000000-0xd1ffffff 64bit pref]
<7>[    0.249627] pci 0000:03:00.0: reg 24: [io  0x1000-0x107f]
<7>[    0.249636] pci 0000:03:00.0: reg 30: [mem 0xd3000000-0xd301ffff pref]
<6>[    0.249688] pci 0000:00:10.0: PCI bridge to [bus 03-03]
<7>[    0.249696] pci 0000:00:10.0:   bridge window [io  0x1000-0x1fff]
<7>[    0.249704] pci 0000:00:10.0:   bridge window [mem 0xd2000000-0xd30fffff]
<7>[    0.249713] pci 0000:00:10.0:   bridge window [mem 0xc0000000-0xd1ffffff 64bit pref]
<7>[    0.249906] pci 0000:04:00.0: reg 10: [mem 0xd3200000-0xd3203fff 64bit]
<7>[    0.249976] pci 0000:04:00.0: supports D1 D2
<7>[    0.249980] pci 0000:04:00.0: PME# supported from D0 D3hot D3cold
<7>[    0.249989] pci 0000:04:00.0: PME# disabled
<6>[    0.250013] pci 0000:00:15.0: PCI bridge to [bus 04-04]
<7>[    0.250032] pci 0000:00:15.0:   bridge window [io  0xfffffffffffff000-0x0000] (disabled)
<7>[    0.250045] pci 0000:00:15.0:   bridge window [mem 0xd3200000-0xd32fffff]
<7>[    0.250064] pci 0000:00:15.0:   bridge window [mem 0xfff00000-0x000fffff pref] (disabled)
<7>[    0.250259] pci 0000:05:00.0: reg 10: [mem 0xd3100000-0xd3100fff 64bit]
<7>[    0.250327] pci 0000:05:00.0: supports D1 D2
<7>[    0.250332] pci 0000:05:00.0: PME# supported from D0 D1 D2 D3hot D3cold
<7>[    0.250341] pci 0000:05:00.0: PME# disabled
<6>[    0.250358] pci 0000:00:16.0: PCI bridge to [bus 05-05]
<7>[    0.250376] pci 0000:00:16.0:   bridge window [io  0xfffffffffffff000-0x0000] (disabled)
<7>[    0.250390] pci 0000:00:16.0:   bridge window [mem 0xd3100000-0xd31fffff]
<7>[    0.250409] pci 0000:00:16.0:   bridge window [mem 0xfff00000-0x000fffff pref] (disabled)
<7>[    0.250463] pci_bus 0000:00: on NUMA node 0
<7>[    0.250477] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
<7>[    0.253450] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.IXVE._PRT]
<6>[    0.561421] ACPI: PCI Interrupt Link [LNK1] (IRQs 5 7 10 11 14 15) *0, disabled.
<6>[    0.562557] ACPI: PCI Interrupt Link [LNK2] (IRQs 5 7 10 11 14 15) *0, disabled.
<6>[    0.563686] ACPI: PCI Interrupt Link [LNK3] (IRQs 5 7 10 11 14 15) *0, disabled.
<6>[    0.564813] ACPI: PCI Interrupt Link [LNK4] (IRQs 5 7 10 11 14 15) *0, disabled.
<6>[    0.565947] ACPI: PCI Interrupt Link [Z003] (IRQs 16 17 18 19 20 21 22 23) *0, disabled.
<6>[    0.567078] ACPI: PCI Interrupt Link [Z004] (IRQs 16 17 18 19 20 21 22 23) *0, disabled.
<6>[    0.568200] ACPI: PCI Interrupt Link [Z005] (IRQs 16 17 18 19 20 21 22 23) *0, disabled.
<6>[    0.569321] ACPI: PCI Interrupt Link [Z006] (IRQs 16 17 18 19 20 21 22 23) *0, disabled.
<6>[    0.570447] ACPI: PCI Interrupt Link [Z007] (IRQs 16 17 18 19 20 21 22 23) *0, disabled.
<6>[    0.571564] ACPI: PCI Interrupt Link [Z008] (IRQs 16 17 18 19 20 21 22 23) *0, disabled.
<6>[    0.572708] ACPI: PCI Interrupt Link [Z009] (IRQs 16 17 18 19 20 21 22 23) *0, disabled.
<6>[    0.573844] ACPI: PCI Interrupt Link [Z00A] (IRQs 16 17 18 19 20 21 22 23) *0, disabled.
<6>[    0.574976] ACPI: PCI Interrupt Link [Z00B] (IRQs 16 17 18 19 20 21 22 23) *0, disabled.
<6>[    0.576111] ACPI: PCI Interrupt Link [Z00C] (IRQs 16 17 18 19 20 21 22 23) *0, disabled.
<6>[    0.577247] ACPI: PCI Interrupt Link [Z00D] (IRQs 16 17 18 19 20 21 22 23) *0, disabled.
<6>[    0.578396] ACPI: PCI Interrupt Link [Z00E] (IRQs 16 17 18 19 20 21 22 23) *0, disabled.
<6>[    0.579532] ACPI: PCI Interrupt Link [Z00F] (IRQs 16 17 18 19 20 21 22 23) *10
<6>[    0.580667] ACPI: PCI Interrupt Link [Z00G] (IRQs 16 17 18 19 20 21 22 23) *0, disabled.
<6>[    0.581800] ACPI: PCI Interrupt Link [Z00H] (IRQs 16 17 18 19 20 21 22 23) *0, disabled.
<6>[    0.582932] ACPI: PCI Interrupt Link [Z00I] (IRQs 16 17 18 19 20 21 22 23) *0, disabled.
<6>[    0.584065] ACPI: PCI Interrupt Link [Z00J] (IRQs 16 17 18 19 20 21 22 23) *7
<6>[    0.585184] ACPI: PCI Interrupt Link [Z00K] (IRQs 16 17 18 19 20 21 22 23) *0, disabled.
<6>[    0.586315] ACPI: PCI Interrupt Link [Z00L] (IRQs 16 17 18 19 20 21 22 23) *0, disabled.
<6>[    0.587433] ACPI: PCI Interrupt Link [Z00M] (IRQs 16 17 18 19 20 21 22 23) *0, disabled.
<6>[    0.588546] ACPI: PCI Interrupt Link [Z00N] (IRQs 16 17 18 19 20 21 22 23) *0, disabled.
<6>[    0.589690] ACPI: PCI Interrupt Link [Z00O] (IRQs 16 17 18 19 20 21 22 23) *0, disabled.
<6>[    0.590836] ACPI: PCI Interrupt Link [Z00P] (IRQs 16 17 18 19 20 21 22 23) *0, disabled.
<6>[    0.591980] ACPI: PCI Interrupt Link [Z00Q] (IRQs 16 17 18 19 20 21 22 23) *0, disabled.
<6>[    0.593136] ACPI: PCI Interrupt Link [Z00R] (IRQs 16 17 18 19 20 21 22 23) *0, disabled.
<6>[    0.594275] ACPI: PCI Interrupt Link [Z00S] (IRQs 16 17 18 19 20 21 22 23) *0, disabled.
<6>[    0.595423] ACPI: PCI Interrupt Link [Z00T] (IRQs 16 17 18 19 20 21 22 23) *0, disabled.
<6>[    0.596566] ACPI: PCI Interrupt Link [Z00U] (IRQs 16 17 18 19 20 21 22 23) *0, disabled.
<6>[    0.597701] ACPI: PCI Interrupt Link [LSMB] (IRQs 16 17 18 19 20 21 22 23) *15
<6>[    0.598831] ACPI: PCI Interrupt Link [LUS0] (IRQs 16 17 18 19 20 21 22 23) *11
<6>[    0.599959] ACPI: PCI Interrupt Link [LUS2] (IRQs 16 17 18 19 20 21 22 23) *10
<6>[    0.601091] ACPI: PCI Interrupt Link [LMAC] (IRQs 16 17 18 19 20 21 22 23) *14
<6>[    0.602222] ACPI: PCI Interrupt Link [LAZA] (IRQs 16 17 18 19 20 21 22 23) *15
<6>[    0.603341] ACPI: PCI Interrupt Link [LGPU] (IRQs 16 17 18 19 20 21 22 23) *11
<6>[    0.604462] ACPI: PCI Interrupt Link [LPID] (IRQs 16 17 18 19 20 21 22 23) *0, disabled.
<6>[    0.605579] ACPI: PCI Interrupt Link [LSI0] (IRQs 16 17 18 19 20 21 22 23) *11
<6>[    0.606692] ACPI: PCI Interrupt Link [LSI1] (IRQs 16 17 18 19 20 21 22 23) *0, disabled.
<6>[    0.607803] ACPI: PCI Interrupt Link [Z000] (IRQs 16 17 18 19 20 21 22 23) *7
<6>[    0.608912] ACPI: PCI Interrupt Link [Z001] (IRQs 16 17 18 19 20 21 22 23) *5
<6>[    0.610025] ACPI: PCI Interrupt Link [LPMU] (IRQs 16 17 18 19 20 21 22 23) *14
<6>[    0.610268] vgaarb: device added: PCI:0000:03:00.0,decodes=io+mem,owns=io+mem,locks=none
<6>[    0.610268] vgaarb: loaded
<5>[    0.611255] SCSI subsystem initialized
<7>[    0.611255] libata version 3.00 loaded.
<6>[    0.612145] usbcore: registered new interface driver usbfs
<6>[    0.612159] usbcore: registered new interface driver hub
<6>[    0.612159] usbcore: registered new device driver usb
<6>[    0.613085] Advanced Linux Sound Architecture Driver Version 1.0.22.1.
<6>[    0.613085] PCI: Using ACPI for IRQ routing
<7>[    0.613085] PCI: pci_cache_line_size set to 64 bytes
<7>[    0.613263] reserve RAM buffer: 000000000009fc00 - 000000000009ffff 
<7>[    0.613271] reserve RAM buffer: 00000000be825000 - 00000000bfffffff 
<6>[    0.614260] cfg80211: Calling CRDA to update world regulatory domain
<6>[    0.614260] NetLabel: Initializing
<6>[    0.614260] NetLabel:  domain hash size = 128
<6>[    0.614260] NetLabel:  protocols = UNLABELED CIPSOv4
<6>[    0.614260] NetLabel:  unlabeled traffic allowed by default
<6>[    0.614260] HPET: 4 timers in total, 0 timers will be used for per-cpu timer
<6>[    0.614260] hpet0: at MMIO 0xfed00000, IRQs 2, 8, 31, 31
<6>[    0.614260] hpet0: 4 comparators, 64-bit 25.000000 MHz counter
<6>[    0.619078] Switching to clocksource tsc
<6>[    0.633267] pnp: PnP ACPI init
<6>[    0.633295] ACPI: bus type pnp registered
<6>[    0.646534] pnp: PnP ACPI: found 8 devices
<6>[    0.646540] ACPI: ACPI bus type pnp unregistered
<6>[    0.646583] system 00:01: [mem 0xf0000000-0xf3ffffff] has been reserved
<6>[    0.646599] system 00:04: [mem 0xfed00000-0xfed003ff] has been reserved
<6>[    0.646615] system 00:06: [io  0x0400-0x047f] has been reserved
<6>[    0.646623] system 00:06: [io  0x0480-0x04ff] has been reserved
<6>[    0.646632] system 00:06: [io  0x0500-0x057f] has been reserved
<6>[    0.646640] system 00:06: [io  0x0580-0x05ff] has been reserved
<6>[    0.646648] system 00:06: [io  0x0800-0x087f] has been reserved
<6>[    0.646656] system 00:06: [io  0x0880-0x08ff] has been reserved
<6>[    0.646664] system 00:06: [io  0x2140-0x217f] has been reserved
<6>[    0.646672] system 00:06: [io  0x2100-0x213f] has been reserved
<6>[    0.646681] system 00:06: [io  0x04d0-0x04d1] has been reserved
<6>[    0.646689] system 00:06: [io  0x0295-0x0296] has been reserved
<7>[    0.653023] PCI: max bus depth: 1 pci_try_num: 2
<6>[    0.653099] pci 0000:00:09.0: PCI bridge to [bus 01-01]
<6>[    0.653104] pci 0000:00:09.0:   bridge window [io  disabled]
<6>[    0.653113] pci 0000:00:09.0:   bridge window [mem 0xd3400000-0xd34fffff]
<6>[    0.653120] pci 0000:00:09.0:   bridge window [mem pref disabled]
<6>[    0.653129] pci 0000:00:0c.0: PCI bridge to [bus 02-02]
<6>[    0.653134] pci 0000:00:0c.0:   bridge window [io  disabled]
<6>[    0.653149] pci 0000:00:0c.0:   bridge window [mem 0xd3300000-0xd33fffff]
<6>[    0.653160] pci 0000:00:0c.0:   bridge window [mem pref disabled]
<6>[    0.653178] pci 0000:00:10.0: PCI bridge to [bus 03-03]
<6>[    0.653184] pci 0000:00:10.0:   bridge window [io  0x1000-0x1fff]
<6>[    0.653192] pci 0000:00:10.0:   bridge window [mem 0xd2000000-0xd30fffff]
<6>[    0.653199] pci 0000:00:10.0:   bridge window [mem 0xc0000000-0xd1ffffff 64bit pref]
<6>[    0.653209] pci 0000:00:15.0: PCI bridge to [bus 04-04]
<6>[    0.653214] pci 0000:00:15.0:   bridge window [io  disabled]
<6>[    0.653228] pci 0000:00:15.0:   bridge window [mem 0xd3200000-0xd32fffff]
<6>[    0.653240] pci 0000:00:15.0:   bridge window [mem pref disabled]
<6>[    0.653258] pci 0000:00:16.0: PCI bridge to [bus 05-05]
<6>[    0.653262] pci 0000:00:16.0:   bridge window [io  disabled]
<6>[    0.653277] pci 0000:00:16.0:   bridge window [mem 0xd3100000-0xd31fffff]
<6>[    0.653288] pci 0000:00:16.0:   bridge window [mem pref disabled]
<6>[    0.653307] pci 0000:00:09.0: enabling device (0000 -> 0002)
<7>[    0.653317] pci 0000:00:09.0: setting latency timer to 64
<6>[    0.653337] pci 0000:00:0c.0: enabling device (0000 -> 0002)
<4>[    0.655211] ACPI: PCI Interrupt Link [Z003] enabled at IRQ 23
<6>[    0.655223] pci 0000:00:0c.0: PCI INT A -> Link[Z003] -> GSI 23 (level, low) -> IRQ 23
<7>[    0.655241] pci 0000:00:0c.0: setting latency timer to 64
<7>[    0.655254] pci 0000:00:10.0: setting latency timer to 64
<4>[    0.657139] ACPI: PCI Interrupt Link [Z00F] enabled at IRQ 22
<6>[    0.657152] pci 0000:00:15.0: PCI INT A -> Link[Z00F] -> GSI 22 (level, low) -> IRQ 22
<7>[    0.657166] pci 0000:00:15.0: setting latency timer to 64
<4>[    0.659077] ACPI: PCI Interrupt Link [Z00J] enabled at IRQ 21
<6>[    0.659088] pci 0000:00:16.0: PCI INT A -> Link[Z00J] -> GSI 21 (level, low) -> IRQ 21
<7>[    0.659102] pci 0000:00:16.0: setting latency timer to 64
<7>[    0.659112] pci_bus 0000:00: resource 4 [io  0x0000-0x0cf7]
<7>[    0.659117] pci_bus 0000:00: resource 5 [io  0x0d00-0xffff]
<7>[    0.659123] pci_bus 0000:00: resource 6 [mem 0x000a0000-0x000bffff]
<7>[    0.659129] pci_bus 0000:00: resource 7 [mem 0x000c0000-0x000c3fff]
<7>[    0.659135] pci_bus 0000:00: resource 8 [mem 0x000c4000-0x000c7fff]
<7>[    0.659141] pci_bus 0000:00: resource 9 [mem 0x000c8000-0x000cbfff]
<7>[    0.659146] pci_bus 0000:00: resource 10 [mem 0x000cc000-0x000cffff]
<7>[    0.659152] pci_bus 0000:00: resource 11 [mem 0x000d0000-0x000d3fff]
<7>[    0.659158] pci_bus 0000:00: resource 12 [mem 0x000d4000-0x000d7fff]
<7>[    0.659164] pci_bus 0000:00: resource 13 [mem 0x000d8000-0x000dbfff]
<7>[    0.659170] pci_bus 0000:00: resource 14 [mem 0x000dc000-0x000dffff]
<7>[    0.659176] pci_bus 0000:00: resource 15 [mem 0x000e0000-0x000e3fff]
<7>[    0.659182] pci_bus 0000:00: resource 16 [mem 0x000e4000-0x000e7fff]
<7>[    0.659188] pci_bus 0000:00: resource 17 [mem 0x000e8000-0x000ebfff]
<7>[    0.659193] pci_bus 0000:00: resource 18 [mem 0x000ec000-0x000effff]
<7>[    0.659199] pci_bus 0000:00: resource 19 [mem 0x000f0000-0x000fffff]
<7>[    0.659205] pci_bus 0000:00: resource 20 [mem 0xc0000000-0xfebfffff]
<7>[    0.659212] pci_bus 0000:01: resource 1 [mem 0xd3400000-0xd34fffff]
<7>[    0.659217] pci_bus 0000:01: resource 4 [io  0x0000-0x0cf7]
<7>[    0.659223] pci_bus 0000:01: resource 5 [io  0x0d00-0xffff]
<7>[    0.659229] pci_bus 0000:01: resource 6 [mem 0x000a0000-0x000bffff]
<7>[    0.659234] pci_bus 0000:01: resource 7 [mem 0x000c0000-0x000c3fff]
<7>[    0.659240] pci_bus 0000:01: resource 8 [mem 0x000c4000-0x000c7fff]
<7>[    0.659246] pci_bus 0000:01: resource 9 [mem 0x000c8000-0x000cbfff]
<7>[    0.659252] pci_bus 0000:01: resource 10 [mem 0x000cc000-0x000cffff]
<7>[    0.659258] pci_bus 0000:01: resource 11 [mem 0x000d0000-0x000d3fff]
<7>[    0.659264] pci_bus 0000:01: resource 12 [mem 0x000d4000-0x000d7fff]
<7>[    0.659270] pci_bus 0000:01: resource 13 [mem 0x000d8000-0x000dbfff]
<7>[    0.659275] pci_bus 0000:01: resource 14 [mem 0x000dc000-0x000dffff]
<7>[    0.659281] pci_bus 0000:01: resource 15 [mem 0x000e0000-0x000e3fff]
<7>[    0.659287] pci_bus 0000:01: resource 16 [mem 0x000e4000-0x000e7fff]
<7>[    0.659293] pci_bus 0000:01: resource 17 [mem 0x000e8000-0x000ebfff]
<7>[    0.659299] pci_bus 0000:01: resource 18 [mem 0x000ec000-0x000effff]
<7>[    0.659305] pci_bus 0000:01: resource 19 [mem 0x000f0000-0x000fffff]
<7>[    0.659311] pci_bus 0000:01: resource 20 [mem 0xc0000000-0xfebfffff]
<7>[    0.659317] pci_bus 0000:02: resource 1 [mem 0xd3300000-0xd33fffff]
<7>[    0.659323] pci_bus 0000:03: resource 0 [io  0x1000-0x1fff]
<7>[    0.659329] pci_bus 0000:03: resource 1 [mem 0xd2000000-0xd30fffff]
<7>[    0.659335] pci_bus 0000:03: resource 2 [mem 0xc0000000-0xd1ffffff 64bit pref]
<7>[    0.659342] pci_bus 0000:04: resource 1 [mem 0xd3200000-0xd32fffff]
<7>[    0.659348] pci_bus 0000:05: resource 1 [mem 0xd3100000-0xd31fffff]
<6>[    0.659402] NET: Registered protocol family 2
<6>[    0.659506] IP route cache hash table entries: 131072 (order: 8, 1048576 bytes)
<6>[    0.660248] TCP established hash table entries: 262144 (order: 10, 4194304 bytes)
<6>[    0.662006] TCP bind hash table entries: 65536 (order: 9, 2097152 bytes)
<6>[    0.662932] TCP: Hash tables configured (established 262144 bind 65536)
<6>[    0.662939] TCP reno registered
<6>[    0.662951] UDP hash table entries: 2048 (order: 5, 196608 bytes)
<6>[    0.663052] UDP-Lite hash table entries: 2048 (order: 5, 196608 bytes)
<6>[    0.663385] NET: Registered protocol family 1
<7>[    0.673980] pci 0000:03:00.0: Boot video device
<7>[    0.674000] PCI: CLS 256 bytes, default 64
<6>[    0.674459] PCI-DMA: Using software bounce buffering for IO (SWIOTLB)
<6>[    0.674467] Placing 64MB software IO TLB between ffff880005800000 - ffff880009800000
<6>[    0.674474] software IO TLB at phys 0x5800000 - 0x9800000
<6>[    0.678272] microcode: CPU0 sig=0x1067a, pf=0x80, revision=0xa07
<6>[    0.678289] microcode: CPU1 sig=0x1067a, pf=0x80, revision=0xa07
<6>[    0.678453] microcode: Microcode Update Driver: v2.00 <tigran@aivazian.fsnet.co.uk>, Peter Oruba
<6>[    0.679256] audit: initializing netlink socket (enabled)
<5>[    0.679288] type=2000 audit(1271721651.678:1): initialized
<6>[    0.711113] HugeTLB registered 2 MB page size, pre-allocated 0 pages
<6>[    0.736999] ROMFS MTD (C) 2007 Red Hat, Inc.
<6>[    0.737381] fuse init (API version 7.13)
<6>[    0.738218] msgmni has been set to 7365
<7>[    0.738559] SELinux:  Registering netfilter hooks
<6>[    0.740050] alg: No test for stdrng (krng)
<6>[    0.740074] io scheduler noop registered
<6>[    0.740539] io scheduler cfq registered (default)
<6>[    0.745870] vesafb: framebuffer at 0xd1000000, mapped to 0xffffc90000100000, using 14336k, total 14336k
<6>[    0.745881] vesafb: mode is 1920x1200x32, linelength=7680, pages=1
<6>[    0.745887] vesafb: scrolling: redraw
<6>[    0.745892] vesafb: Truecolor: size=8:8:8:8, shift=24:16:8:0
<4>[    0.843256] Console: switching to colour frame buffer device 240x75
<6>[    0.934501] fb0: VESA VGA frame buffer device
<6>[    0.953660] Linux agpgart interface v0.103
<6>[    0.957673] loop: module loaded
<7>[    0.958971] ahci 0000:00:0b.0: version 3.0
<4>[    0.961108] ACPI: PCI Interrupt Link [LSI0] enabled at IRQ 20
<6>[    0.961476] ahci 0000:00:0b.0: PCI INT A -> Link[LSI0] -> GSI 20 (level, low) -> IRQ 20
<7>[    0.962037] ahci 0000:00:0b.0: irq 24 for MSI/MSI-X
<6>[    0.962406] ahci 0000:00:0b.0: AHCI 0001.0200 32 slots 6 ports 3 Gbps 0x3 impl IDE mode
<6>[    0.962913] ahci 0000:00:0b.0: flags: 64bit ncq sntf pm led pmp pio slum part boh 
<7>[    0.963386] ahci 0000:00:0b.0: setting latency timer to 64
<6>[    0.963970] scsi0 : ahci
<6>[    0.964986] scsi1 : ahci
<6>[    0.965513] scsi2 : ahci
<6>[    0.966233] scsi3 : ahci
<6>[    0.966760] scsi4 : ahci
<6>[    0.967300] scsi5 : ahci
<6>[    0.968979] ata1: SATA max UDMA/133 abar m8192@0xd3584000 port 0xd3584100 irq 24
<6>[    0.969442] ata2: SATA max UDMA/133 abar m8192@0xd3584000 port 0xd3584180 irq 24
<6>[    0.969909] ata3: DUMMY
<6>[    0.970062] ata4: DUMMY
<6>[    0.970216] ata5: DUMMY
<6>[    0.970369] ata6: DUMMY
<6>[    0.971053] usbcore: registered new interface driver usblcd
<6>[    0.971533] usbcore: registered new interface driver usbled
<6>[    0.972400] PNP: No PS/2 controller found. Probing ports directly.
<3>[    0.973660] i8042.c: No controller found.
<6>[    0.974228] mice: PS/2 mouse device common for all mice
<6>[    0.976228] device-mapper: ioctl: 4.17.0-ioctl (2010-03-05) initialised: dm-devel@redhat.com
<6>[    0.976754] EDAC MC: Ver: 2.1.0 Apr 19 2010
<6>[    0.977455] cpuidle: using governor ladder
<6>[    0.977712] cpuidle: using governor menu
<6>[    0.982160] usbcore: registered new interface driver hiddev
<6>[    0.982646] usbcore: registered new interface driver usbhid
<6>[    0.982998] usbhid: USB HID core driver
<4>[    0.985390] ACPI: PCI Interrupt Link [LAZA] enabled at IRQ 19
<6>[    0.985755] HDA Intel 0000:00:08.0: PCI INT A -> Link[LAZA] -> GSI 19 (level, low) -> IRQ 19
<6>[    0.986292] hda_intel: Disable MSI for Nvidia chipset
<7>[    0.986656] HDA Intel 0000:00:08.0: setting latency timer to 64
<6>[    1.172246] input: HDA Digital PCBeep as /devices/pci0000:00/0000:00:08.0/input/input0
<6>[    1.284549] ALSA device list:
<6>[    1.284737]   #0: HDA NVidia at 0xd3580000 irq 19
<6>[    1.285282] oprofile: using NMI interrupt.
<6>[    1.285872] IPVS: Registered protocols (TCP, AH, ESP)
<6>[    1.286426] IPVS: Connection hash table configured (size=4096, memory=64Kbytes)
<6>[    1.286925] IPVS: ipvs loaded.
<6>[    1.298362] Initializing XFRM netlink socket
<6>[    1.309718] NET: Registered protocol family 17
<6>[    1.321318] NET: Registered protocol family 15
<6>[    1.332898] lib80211: common routines for IEEE802.11 drivers
<7>[    1.344816] lib80211_crypt: registered algorithm 'NULL'
<6>[    1.357484] No TPM chip found, activating TPM-bypass!
<6>[    1.429019] ata2: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
<6>[    1.441787] ata1: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
<6>[    1.455820] ata1.00: ATA-8: WDC WD6400AAKS-40H2B0, 07.04C07, max UDMA/133
<6>[    1.468983] ata1.00: 1250263728 sectors, multi 16: LBA48 NCQ (depth 31/32)
<6>[    1.482442] ata2.00: ATAPI: PIONEER DVD-RW  DVRTS08, Q81D, max UDMA/33, ATAPI AN
<6>[    1.483527] ata1.00: configured for UDMA/133
<5>[    1.494269] scsi 0:0:0:0: Direct-Access     ATA      WDC WD6400AAKS-4 07.0 PQ: 0 ANSI: 5
<5>[    1.495225] sd 0:0:0:0: Attached scsi generic sg0 type 0
<5>[    1.495320] sd 0:0:0:0: [sda] 1250263728 512-byte logical blocks: (640 GB/596 GiB)
<5>[    1.495509] sd 0:0:0:0: [sda] Write Protect is off
<7>[    1.495513] sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
<5>[    1.495592] sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
<6>[    1.496047]  sda: sda1 sda2 sda3 sda4
<5>[    1.618437] sd 0:0:0:0: [sda] Attached SCSI disk
<6>[    1.649787] ata2.00: configured for UDMA/33
<5>[    1.733660] scsi 1:0:0:0: CD-ROM            PIONEER  DVD-RW  DVRTS08  Q81D PQ: 0 ANSI: 5
<4>[    1.874541] sr0: scsi3-mmc drive: 24x/24x writer cd/rw xa/form2 cdda caddy
<6>[    1.892007] Uniform CD-ROM driver Revision: 3.20
<7>[    1.909755] sr 1:0:0:0: Attached scsi CD-ROM sr0
<5>[    1.927305] sr 1:0:0:0: Attached scsi generic sg1 type 5
<6>[    2.081642] EXT4-fs (sda3): mounted filesystem with ordered data mode
<4>[    2.099108] VFS: Mounted root (ext4 filesystem) readonly on device 8:3.
<6>[    2.116676] Freeing unused kernel memory: 456k freed
<7>[    2.509487] SELinux: 2048 avtab hash slots, 185277 rules.
<7>[    2.772459] SELinux: 2048 avtab hash slots, 185277 rules.
<7>[    3.396119] SELinux:  7 users, 15 roles, 3120 types, 127 bools, 1 sens, 256 cats
<7>[    3.413458] SELinux:  77 classes, 185277 rules
<7>[    3.443934] SELinux:  Completing initialization.
<7>[    3.460956] SELinux:  Setting up existing superblocks.
<7>[    3.477965] SELinux: initialized (dev sda3, type ext4), uses xattr
<7>[    3.495512] SELinux: initialized (dev securityfs, type securityfs), uses genfs_contexts
<7>[    3.513159] SELinux: initialized (dev selinuxfs, type selinuxfs), uses genfs_contexts
<7>[    3.531076] SELinux: initialized (dev mqueue, type mqueue), uses transition SIDs
<7>[    3.549193] SELinux: initialized (dev hugetlbfs, type hugetlbfs), uses transition SIDs
<7>[    3.567572] SELinux: initialized (dev devpts, type devpts), uses transition SIDs
<7>[    3.585830] SELinux: initialized (dev anon_inodefs, type anon_inodefs), uses genfs_contexts
<7>[    3.604409] SELinux: initialized (dev pipefs, type pipefs), uses task SIDs
<7>[    3.622898] SELinux: initialized (dev debugfs, type debugfs), uses genfs_contexts
<7>[    3.642276] SELinux: initialized (dev sockfs, type sockfs), uses task SIDs
<7>[    3.661197] SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
<7>[    3.680357] SELinux: initialized (dev proc, type proc), uses genfs_contexts
<7>[    3.699479] SELinux: initialized (dev bdev, type bdev), uses genfs_contexts
<7>[    3.718649] SELinux: initialized (dev rootfs, type rootfs), uses genfs_contexts
<7>[    3.737786] SELinux: initialized (dev sysfs, type sysfs), uses genfs_contexts
<5>[    3.779337] type=1403 audit(1271721654.779:2): policy loaded auid=4294967295 ses=4294967295
<0>[    3.864321] init[1]: segfault at ffffffff8102a102 ip ffffffff8102a102 sp 00007fff11b1e518 error 15
<0>[    3.864932] init[1]: segfault at ffffffff8102a102 ip ffffffff8102a102 sp 00007fff11b1dbf8 error 15
<5>[    3.864961] type=1701 audit(1271721654.864:3): auid=4294967295 uid=0 gid=0 ses=4294967295 subj=system_u:system_r:init_t:s0 pid=1 comm="init" sig=11
<0>[    3.923704] Kernel panic - not syncing: Attempted to kill init!
<4>[    3.944086] Pid: 1, comm: init Not tainted 2.6.34-rc4-00194-g76e506a #2
<4>[    3.964747] Call Trace:
<4>[    3.985252]  [<ffffffff813de945>] panic+0x73/0xec
<4>[    4.005832]  [<ffffffff810ae8c3>] ? perf_event_exit_task+0x27/0x11e
<4>[    4.005838]  [<ffffffff81058e6a>] do_exit+0x75/0x69f
<4>[    4.005843]  [<ffffffff81059717>] do_group_exit+0x72/0x9b
<4>[    4.005848]  [<ffffffff81066354>] get_signal_to_deliver+0x340/0x35f
<4>[    4.005854]  [<ffffffff81023522>] do_signal+0x6d/0x5d1
<4>[    4.005858]  [<ffffffff8102a102>] ? rdtsc_barrier+0x0/0xc
<4>[    4.005862]  [<ffffffff813de9fa>] ? printk+0x3c/0x42
<4>[    4.005865]  [<ffffffff8102a102>] ? rdtsc_barrier+0x0/0xc
<4>[    4.005869]  [<ffffffff813de9fa>] ? printk+0x3c/0x42
<4>[    4.005874]  [<ffffffff8104069c>] ? __bad_area_nosemaphore+0x183/0x1ad
<4>[    4.005878]  [<ffffffff8102a102>] ? rdtsc_barrier+0x0/0xc
<4>[    4.005882]  [<ffffffff81023ac1>] do_notify_resume+0x27/0x69
<4>[    4.005887]  [<ffffffff813e085c>] retint_signal+0x48/0x8c
<4>[    4.005891]  [<ffffffff8102a102>] ? rdtsc_barrier+0x0/0xc
^C

Comment 13 Justin P. Mattock 2010-04-20 00:17:48 UTC
Created attachment 20430 [details]
early debugging via ohci1394_dma

dmesg of crash with init
Comment 14 Richard Biener 2010-04-20 08:59:19 UTC
Confirmed with the testcase from comment #8 at -O2.

Breakpoint 1, fancy_abort (
    file=0x1196288 "/space/rguenther/src/svn/trunk/gcc/ipa-inline.c", 
    line=1009, function=0x1196720 "cgraph_decide_inlining_of_small_functions")
    at /space/rguenther/src/svn/trunk/gcc/diagnostic.c:811
811       internal_error ("in %s, at %s:%d", function, trim_filename (file), line);
(gdb) up
#1  0x0000000000c8b961 in cgraph_decide_inlining_of_small_functions ()
    at /space/rguenther/src/svn/trunk/gcc/ipa-inline.c:1009
1009          gcc_assert (cgraph_edge_badness (edge, false) == badness);
(gdb) p badness
$1 = 11
(gdb) call cgraph_edge_badness (edge, 0)
$2 = 12
Comment 15 Justin P. Mattock 2010-04-20 09:11:17 UTC
as for the crash in early boot, I have not re-built sysvinit, and libselinux
with 4.6.0.. so am unsure if it makes a difference or not(will test as soon as I wake up).
Comment 16 Justin P. Mattock 2010-04-21 01:12:22 UTC
ugh... sysvinit rebuilt(just to see), makes no difference still getting stuck during boot. libselinux breaks as well with the build. 
Comment 17 Richard Biener 2010-04-21 20:23:22 UTC
*** Bug 43840 has been marked as a duplicate of this bug. ***
Comment 18 Tom Rothrock 2010-04-22 18:40:20 UTC
I should have been more aggressive in my searches; filed a duplicate bug report #43840.  I have a small test case there that compiles fine under 4.6.0 with -O1 but fails on this bug with -O1 -finline-small-functions:


typedef unsigned long int (*a)(unsigned long int *);

extern __inline__ unsigned long int e(unsigned long int *d){
  unsigned long int r;
  u(r,d);
  return r;
}

a s(a f){
  return f;
}

int main(void){
  unsigned long int b[1];
  unsigned long int c;
  int i;

  for(i=0;i<1;i++){
    c=(*s(e))(b);
    c=(*s(e))(b);
  }
  return 0;
}

Comment 19 Justin P. Mattock 2010-04-24 06:34:59 UTC
(In reply to comment #18)
> I should have been more aggressive in my searches; filed a duplicate bug report
> #43840.  I have a small test case there that compiles fine under 4.6.0 with -O1
> but fails on this bug with -O1 -finline-small-functions:
> 
> 
> typedef unsigned long int (*a)(unsigned long int *);
> 
> extern __inline__ unsigned long int e(unsigned long int *d){
>   unsigned long int r;
>   u(r,d);
>   return r;
> }
> 
> a s(a f){
>   return f;
> }
> 
> int main(void){
>   unsigned long int b[1];
>   unsigned long int c;
>   int i;
> 
>   for(i=0;i<1;i++){
>     c=(*s(e))(b);
>     c=(*s(e))(b);
>   }
>   return 0;
> }
> 

no worries over here..(I should of looked harder before filing).,
anyways I can give those a try and see.. interesting thing here is this
boot/crash I'm hitting.. In any case I'll give your(-O1 -finline-small-functions)and maybe other switches a try and see.

I can set things up for a bisect...I just need to find the git address
so I can pull the latest,then I can have a go(good/bad).

Justin P. Mattock
Comment 20 Justin P. Mattock 2010-04-26 02:41:01 UTC
Created attachment 20489 [details]
dmesg with 4.6.0 and latest kernel(good boot).

I compiled the kernel with the -01 option and ended up hitting another error:

net/netfilter/ipvs/ip_vs_xmit.c: At top level:
net/netfilter/ipvs/ip_vs_xmit.c:931:1: internal compiler error: in cgraph_decide_inlining_of_small_functions, at ipa-inline.c:1009
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://gcc.gnu.org/bugs.html> for instructions.
make[3]: *** [net/netfilter/ipvs/ip_vs_xmit.o] Error 1
make[2]: *** [net/netfilter/ipvs] Error 2
make[1]: *** [net/netfilter] Error 2
make: *** [net] Error 2

after turning off ip_vs the kernel compiles all the way through.
attached is dmesg of running the kernel compiled with 4.6.0
(no freezes like before for whatever that was).

BTW I was too lazy to find the right command to pass to the kernel
so I just changed the Makefile:

diff --git a/Makefile b/Makefile
index 9754615..530d87c 100644
--- a/Makefile
+++ b/Makefile
@@ -527,9 +527,9 @@ endif # $(dot-config)
 all: vmlinux
 
 ifdef CONFIG_CC_OPTIMIZE_FOR_SIZE
-KBUILD_CFLAGS	+= -Os
+KBUILD_CFLAGS	+= -O1
 else
-KBUILD_CFLAGS	+= -O2
+KBUILD_CFLAGS	+= -O1
 endif
 

other than the ip_vs(not even sure if I use this)everything seems o.k.
Comment 21 H.J. Lu 2010-05-06 03:57:50 UTC
*** Bug 43997 has been marked as a duplicate of this bug. ***
Comment 22 Jan Hubicka 2010-05-06 13:11:51 UTC
Testing the following patch. For some reason we skip updates of costs at alwaysinline callers. This is wrong.

Honza

Index: ipa-inline.c
===================================================================
--- ipa-inline.c        (revision 159096)
+++ ipa-inline.c        (working copy)
@@ -664,7 +664,7 @@ update_caller_keys (fibheap_t heap, stru
   struct cgraph_edge *edge;
   cgraph_inline_failed_t failed_reason;
 
-  if (!node->local.inlinable || node->local.disregard_inline_limits
+  if (!node->local.inlinable
       || node->global.inlined_to)
     return;
   if (bitmap_bit_p (updated_nodes, node->uid))
Comment 23 Rogut&#279;s Sparnuotos 2010-05-06 13:17:44 UTC
Justin, your comment 7 reminded me of my problem (unrelated to this bug report - sorry):
'busybox ls' and 'ninit' (didn't test SYSV 'init') segfault when booting a kernel compiled with CONFIG_CC_OPTIMIZE_FOR_SIZE=y (which means -Os). I am running gcc-4.5 on x86_64.
If you could reproduce your init segfault with a stable kernel compiled with -Os by a gcc snapshot, it would mean a regression since gcc-4.4. Currently the data I have seems too vague for a bug report and I probably won't have time to test a gcc snapshot until monday.
Comment 24 Rogut&#279;s Sparnuotos 2010-05-06 13:19:53 UTC
(In reply to comment #23)
> Justin, your comment 7 reminded me of my problem (unrelated to this bug report
Should be comment 20.
Comment 25 Justin P. Mattock 2010-05-06 13:27:22 UTC
Subject: Re:  [4.6 Regression] kernel/rtmutex.c:1138:1:
 internal compiler error: in cgraph_decide_inlining_of_small_functions, at
 ipa-inline.c:1009

On 05/06/2010 06:11 AM, hubicka at gcc dot gnu dot org wrote:
> ------- Comment #22 from hubicka at gcc dot gnu dot org  2010-05-06 13:11 -------
> Testing the following patch. For some reason we skip updates of costs at
> alwaysinline callers. This is wrong.
>
> Honza
>
> Index: ipa-inline.c
> ===================================================================
> --- ipa-inline.c        (revision 159096)
> +++ ipa-inline.c        (working copy)
> @@ -664,7 +664,7 @@ update_caller_keys (fibheap_t heap, stru
>     struct cgraph_edge *edge;
>     cgraph_inline_failed_t failed_reason;
>
> -  if (!node->local.inlinable || node->local.disregard_inline_limits
> +  if (!node->local.inlinable
>         || node->global.inlined_to)
>       return;
>     if (bitmap_bit_p (updated_nodes, node->uid))
>
>


I'll give this a try..
keep in mind though
I ended up compressing that
system, and am in the process
of doing something else on that
machine.(so it might not be today,
but I will do this).

Justin P. Mattock
Comment 26 Justin P. Mattock 2010-05-06 13:31:14 UTC
(In reply to comment #23)
> Justin, your comment 7 reminded me of my problem (unrelated to this bug report
> - sorry):
> 'busybox ls' and 'ninit' (didn't test SYSV 'init') segfault when booting a
> kernel compiled with CONFIG_CC_OPTIMIZE_FOR_SIZE=y (which means -Os). I am
> running gcc-4.5 on x86_64.
> If you could reproduce your init segfault with a stable kernel compiled with
> -Os by a gcc snapshot, it would mean a regression since gcc-4.4. Currently the
> data I have seems too vague for a bug report and I probably won't have time to
> test a gcc snapshot until monday.
> 

no, no reason to be sorry..that was the initial reason for the bug report.
but if building the kernel with a stable gcc snapshot(with -0s), then we have something thats been lingering for some time.
(reason for having a git bisect handy);
Comment 27 Justin P. Mattock 2010-05-06 13:44:13 UTC
(In reply to comment #24)
> (In reply to comment #23)
> > Justin, your comment 7 reminded me of my problem (unrelated to this bug report
> Should be comment 20.
> 

ah.. oh-well.. in any case though this error is funky i.g. 
cgraph_decide_inlining_of_small_functions is kind of everywhere,
when messing with the CFLAGS flags like that.(one minuete over here, the next over there).

my main concern with this whole thing is making sure things are running as it should i.g. since building all apps/libs with 4.6.0 if some function was taken out, that's important is it safe!?(the risks of being a developer I guess),but s far I have only seen the above error, no messages in sys.log or strangeness while running the system..
Comment 28 Jan Hubicka 2010-05-06 13:50:36 UTC
Subject: Re:  [4.6 Regression]
	kernel/rtmutex.c:1138:1: internal compiler error: in
	cgraph_decide_inlining_of_small_functions, at ipa-inline.c:1009

> 
> 
> ------- Comment #27 from justinmattock at gmail dot com  2010-05-06 13:44 -------
> (In reply to comment #24)
> > (In reply to comment #23)
> > > Justin, your comment 7 reminded me of my problem (unrelated to this bug report
> > Should be comment 20.
> > 
> 
> ah.. oh-well.. in any case though this error is funky i.g. 
> cgraph_decide_inlining_of_small_functions is kind of everywhere,
> when messing with the CFLAGS flags like that.(one minuete over here, the next
> over there).

Well, it is a symptom of insane use of always_inline attribute (as seen in the
testcase).  The function is public yet marked always inline, so compiler really
can't inline it everywhere no matter how hard it is trying.  We are thinking
about making this invalid in future relase of GCC.

Always inline functions should be static and should not be used in scenarios we
can not inline into.

Honza
Comment 29 Jan Hubicka 2010-05-06 14:15:49 UTC
Subject: Bug 43791

Author: hubicka
Date: Thu May  6 14:15:22 2010
New Revision: 159108

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=159108
Log:
	PR tree-optimization/43791
	* ipa-inline.c (update_caller_keys): Remove bogus
	disregard_inline_limits check.

	* gcc.c-torture/compile/pr43791.c: New file.

Added:
    trunk/gcc/testsuite/gcc.c-torture/compile/pr43791.c
Modified:
    trunk/gcc/ChangeLog
    trunk/gcc/ipa-inline.c
    trunk/gcc/testsuite/ChangeLog

Comment 30 Justin P. Mattock 2010-05-06 14:36:43 UTC
(In reply to comment #28)
> Subject: Re:  [4.6 Regression]
>         kernel/rtmutex.c:1138:1: internal compiler error: in
>         cgraph_decide_inlining_of_small_functions, at ipa-inline.c:1009
> 
> > 
> > 
> > ------- Comment #27 from justinmattock at gmail dot com  2010-05-06 13:44 -------
> > (In reply to comment #24)
> > > (In reply to comment #23)
> > > > Justin, your comment 7 reminded me of my problem (unrelated to this bug report
> > > Should be comment 20.
> > > 
> > 
> > ah.. oh-well.. in any case though this error is funky i.g. 
> > cgraph_decide_inlining_of_small_functions is kind of everywhere,
> > when messing with the CFLAGS flags like that.(one minuete over here, the next
> > over there).
> 
> Well, it is a symptom of insane use of always_inline attribute (as seen in the
> testcase).  The function is public yet marked always inline, so compiler really
> can't inline it everywhere no matter how hard it is trying.  We are thinking
> about making this invalid in future relase of GCC.
> 
> Always inline functions should be static and should not be used in scenarios we
> can not inline into.
> 
> Honza
> 


alright.. so it's nothing too serious then.. 
From over here, I'm not going to be able to test this patch right away..
(but will), in the meantime if somebody already has 4.6.0 setup and everything
they should run your patch and see.(right now in the process of working on an issue with SELinux, then hopefully in the next few days will throw in the system with 4.6.0 and try the patch out).
Comment 31 Justin P. Mattock 2010-05-08 08:02:34 UTC
o.k... took me a bit, but I got that system up and running with 4.6.0.
(need more machines around here). Anyways gcc 4.6.0 builds fine
with the above patch. As for the kernel I didn't see the original error, but
found(I think) a new one:

 from include/net/sock.h:50,
                 from include/linux/mroute.h:134,
                 from net/ipv4/raw.c:55:
include/linux/netfilter.h: In function 'raw_sendmsg':
include/net/dst.h:262:19: sorry, unimplemented: inlining failed in call to 'dst_output': optimizing for size and code size would grow
include/linux/netfilter.h:206:7: sorry, unimplemented: called from here
Comment 32 Jan Hubicka 2010-05-08 09:23:07 UTC
Subject: Re:  [4.6 Regression]
	kernel/rtmutex.c:1138:1: internal compiler error: in
	cgraph_decide_inlining_of_small_functions, at ipa-inline.c:1009

> o.k... took me a bit, but I got that system up and running with 4.6.0.
> (need more machines around here). Anyways gcc 4.6.0 builds fine
> with the above patch. As for the kernel I didn't see the original error, but
> found(I think) a new one:

This seems like fallout of Richards early inlining cleanup.  Can you open a new PR for this one, please?

Honza
Comment 33 Justin P. Mattock 2010-05-08 15:33:09 UTC
o.k. here the new bug report for this new kind of error:
http://gcc.gnu.org/bugzilla/show_bug.cgi?id=44043
Comment 34 Richard Biener 2010-07-23 11:41:51 UTC
Fixed.
Comment 35 Justin P. Mattock 2010-07-23 13:26:52 UTC
yep.. although I did hit something similar while building the staging drivers for the kernel. but keep in mind this could be fixed already with the latest gcc.
(I can try and see, but first need to finish up on a few jobs before going into other things)